LN(1)

NAZWA
ln - tworzy dowiązania między plikami

SKŁADNIA
ln [OPCJA]... [-T] CEL NAZWA-DOWIĄZANIA     (format pierwszy)
ln [OPCJA]... CEL     (format drugi)
ln [OPCJA]... CEL... KATALOG     (format trzeci)
ln [OPCJA]... -t KATALOG CEL     (format czwarty)

OPIS

 W pierwszej formie, tworzy dowiązanie do CELU z NAZWĄ-DOWIĄZANIA.
 W drugiej, tworzy dowiązanie do CELU w bieżącym katalogu.
 W trzeciej i czwartej, tworzy dowiązania do każdego CELU w KATALOGU. Domyślnie tworzy dowiązania zwykłe (twarde). Dowiązania symboliczne są tworzone z opcją --symbolic. Domyślnie, każde z położeń (nazw nowych dowiązań) nie powinno istnieć przy wywołaniu polecenia. Podczas tworzenia dowiązań zwykłych, każdy z CELÓW musi istnieć. Dowiązania symboliczne mogą zawierać dowolny tekst. Gdy są później rozwijane, dowiązanie ze ścieżką względną jest interpretowane w odniesieniu do katalogu w którym się znajdują.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--backup[=METODA]
    tworzy kopię zapasową każdego istniejącego pliku docelowego

-b  jak --backup, lecz nie przyjmuje argumentu

-d, -F, --directory
    pozwala administratorowi na próbowanie tworzenia dowiązań zwykłych (twardych) do katalogów (uwaga: prawdopodobnie się to nie powiedzie z powodów ograniczeń systemowych, dotyczących nawet administratora)

-f, --force
    usuwa istniejące pliki docelowe

-i, --interactive
    pyta czy usuwać pliki docelowe

-L, --logical
    rozwiązuje CELE które są dowiązaniami symbolicznymi

-n, --no-dereference
    traktuje NAZWĘ-DOWIĄZANIA jako zwykły plik jeśli jest ono dowiązaniem symbolicznym do katalogu

-P, --physical
    tworzy dowiązania zwykłe (twarde) bezpośrednio do dowiązań symbolicznych

-r, --relative
    tworzy dowiązania symboliczne w odniesieniu do położenia dowiązania

-s, --symbolic
    tworzy dowiązania symboliczne zamiast zwykłych (twardych)

-S, --suffix=PRZYROSTEK
    używa podanego przyrostka kopii zapasowej zamiast domyślnego

-t, --target-directory=KATALOG
    określa KATALOG w którym tworzone są dowiązania

-T, --no-target-directory
    zawsze traktuje NAZWĘ-DOWIĄZANIA jako zwykły plik

-v, --verbose
    wyświetla nazwę każdego pliku dla którego tworzone są dowiązania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Przyrostkiem kopii zapasowej jest ~, chyba że ustawiono inny opcją --suffix lub SIMPLE_BACKUP_SUFFIX. Metoda kontroli wersji może zostać wybrana opcją --backup lub zmienną środowiskową VERSION_CONTROL. Dostępne opcje:

none, off
    nigdy nie tworzy kopii zapasowych (nawet jeśli podano opcję --backup)

numbered, t
    tworzy kopie numerowane

existing, nil
    numerowane jeśli istniejące kopie są numerowane, w przeciwnym wypadku proste

simple, never
    zawsze tworzy proste kopie zapasowe

Użycie opcji -s powoduje ignorowanie opcji -L i -P. W przeciwnym wypadku ostatnia podana opcja kontroluje zachowania programu, gdy CEL jest dowiązaniem symbolicznym; domyślną opcją jest -P.

AUTOR
Napisane przez Mike'a Parkera i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu ln proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
link(2), symlink(2)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/ln>
lub lokalnie, za pomocą info '(coreutils) ln invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.